#
# spec file for package gnome-settings-daemon (Version 2.27.1)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           gnome-settings-daemon
%define _name gnome-settings-daemon
BuildRequires:  fdupes
BuildRequires:  gnome-common
BuildRequires:  gnome-desktop-devel
BuildRequires:  gnome-patch-translation
BuildRequires:  intltool
BuildRequires:  libglade2-devel
BuildRequires:  libgnomekbd-devel
BuildRequires:  libnotify-devel
BuildRequires:  libpulse-devel
BuildRequires:  update-desktop-files
BuildRequires:  xorg-x11
License:        GPL v2 or later
Group:          System/GUI/GNOME
Version:        2.27.1
Release:        3
Summary:        Settings daemon for the GNOME desktop
Source:         %{_name}-%{version}.tar.bz2
# PATCH-FEATURE-OPENSUSE gnome-settings-daemon-system-proxy-configuration.diff
Patch2:         gnome-settings-daemon-system-proxy-configuration.diff
# PATCH-FIX-UPSTREAM gnome-settings-daemon-bnc427745-force-dpi.patch bnc427745 bgo553652 vuntz@novell.com -- Force the DPI to 96 right now to avoid big fonts.
Patch6:         gnome-settings-daemon-bnc427745-force-dpi.patch
# PATCH-FEATURE-UPSTREAM gnome-settings-daemon-apport-monitor.patch bnc439203 jblunck@novell.com -- Add apport monitoring plugin.
Patch8:         gnome-settings-daemon-apport-monitor.patch
# PATCH-FEATURE-UPSTREAM gnome-settings-daemon-bnc462640-mute-action.patch bnc462640 bgo572365 vuntz@novell.com -- Mute button should always mute sound instead of toggling mute status
Patch10:        gnome-settings-daemon-bnc462640-mute-action.patch
# PATCH-FEATURE-OPENSUSE gnome-settings-daemon-bnc461755-randr-rotate-wacom.diff bnc461755 federico@novell.com - Add the option of rotating a Wacom tablet when rotating the monitor with RANDR
Patch11:        gnome-settings-daemon-bnc461755-randr-rotate-wacom.diff
# PATCH-FIX-UPSTREAM # gnome-settings-daemon-try-harder-gdm-layout.patch bgo585290 vuntz@novell.com -- Try harder to use the keyboard layout passed from GDM
Patch12:        gnome-settings-daemon-try-harder-gdm-layout.patch
# PATCH-FIX-UPSTREAM gnome-settings-daemon-filter-invalid-xkb.patch bgo585259 vuntz@novell.com -- Filter invalid xkb layouts from the gconf config (usually added by old gdm)
Patch13:        gnome-settings-daemon-filter-invalid-xkb.patch
Url:            http://www.gnome.org
Requires:       %{name}-lang = %{version}
Obsoletes:      resapplet
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%gconf_schemas_prereq

%description
gnome-settings-daemon provides a daemon run by all GNOME sessions to
provide live access to configuration settings and the changes done to
them as well as basic services like a clipboard manager, controlling
the startup of the screensaver, etc.

This module was previously part of GNOME Control Center, but has been
splitted from it for a more general use.



Authors:
--------
    Jonathan Blandford <jrb@redhat.com>
    William Jon McCann <mccann@jhu.edu>
    Rodrigo Moya <rodrigo@gnome-db.org>
    Denis Washington <denisw@svn.gnome.org>

%package devel
License:        GPL v2 or later
Summary:        Development package for the GNOME settings daemon
Group:          System/GUI/GNOME
AutoReqProv:    on
Requires:       %{name} = %{version} dbus-1-devel dbus-1-glib-devel glib2-devel gtk2-devel gnome-desktop-devel gnome-menus-devel

%description devel
gnome-settings-daemon provides a daemon run by all GNOME sessions to
provide live access to configuration settings and the changes done to
them as well as basic services like a clipboard manager, controlling
the startup of the screensaver, etc.

This package includes header files used for client applications to
contact the settings daemon via its DBus interface.



Authors:
--------
    Jonathan Blandford <jrb@redhat.com>
    William Jon McCann <mccann@jhu.edu>
    Rodrigo Moya <rodrigo@gnome-db.org>
    Denis Washington <denisw@svn.gnome.org>

%lang_package
%prep
%setup -q -n %{_name}-%{version}
gnome-patch-translation-prepare
%patch2 -p1
%patch6 -p1
%patch8 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
gnome-patch-translation-update

%build
autoreconf -f -i
%configure\
	--libexecdir=%{_prefix}/lib/gnome-settings-daemon\
	--disable-static\
	--disable-scrollkeeper\
	--disable-update-mimedb
make %{?jobs:-j%jobs}

%install
%makeinstall
rm $RPM_BUILD_ROOT/%{_libdir}/gnome-settings-daemon-2.0/*.*a
%suse_update_desktop_file gnome-settings-daemon
%find_lang %{_name}
%find_gconf_schemas
cat %{name}.schemas_list >gnome-%{name}.lst
%fdupes $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%pre -f %{name}.schemas_pre
%posttrans -f %{name}.schemas_posttrans

%preun -f %{name}.schemas_preun

%files -f gnome-%{name}.lst
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS
%{_datadir}/dbus-1/services/org.gnome.SettingsDaemon.service
%{_datadir}/gnome-settings-daemon
%{_prefix}/lib/gnome-settings-daemon
%{_libdir}/gnome-settings-daemon-2.0
%{_sysconfdir}/xdg/autostart/*.desktop
%{_datadir}/icons/*/*/*
# Own the directories to avoid a build dependency on gnome-control-center
# (which creates a loop)
%dir %{_datadir}/gnome-control-center
%dir %{_datadir}/gnome-control-center/keybindings
%{_datadir}/gnome-control-center/keybindings/50-accessibility.xml

%files lang -f %{_name}.lang

%files devel
%defattr (-, root, root)
%{_includedir}/gnome-settings-daemon-2.0
%{_libdir}/pkgconfig/*.pc

%changelog
* Thu Jun 11 2009 vuntz@novell.com
- Add gnome-settings-daemon-filter-invalid-xkb.patch: when the xkb
  config from gconf can't be used, try to remove invalid xkb
  layouts first before showing an error dialog. The old gdm used to
  have invalid layouts.
* Wed Jun 10 2009 vuntz@novell.com
- Add gnome-settings-daemon-try-harder-gdm-layout.patch: try harder
  to use the keyboard layout passed from GDM.
* Mon May 25 2009 federico@novell.com
- Added gnome-settings-daemon-bnc461755-randr-rotate-wacom.diff to fix
  bnc#461755 - Add the option of rotating Wacom tablets when the
  display is rotated.
* Tue May 05 2009 vuntz@novell.com
- Update to version 2.27.1:
  + Use ngettext for the reset dialog (bgo#575409)
  + Replace deprecated gtk_status_icon_set_tooltip (bgo#578480)
  + Updated translations.
* Tue Apr 14 2009 vuntz@novell.com
- Update to version 2.26.1:
  + Fix crash when closing the lid on some laptops (bgo#576875)
  + Fix crash when closing a11y notification bubble (bgo#576535)
  + Fix problems with saving/restoring screen setup
  + Make the screen resolution confirmation dialog always appear in
  front of the settings window (bgo#576006)
  + Increase confirmation timeout to 30 seconds to give slower
  devices (like projectors) time to adjust
  + Avoid some GConf roundtrips (bgo#578539, bgo#578542)
  + Build fixes
  + Updated translations.
* Mon Mar 16 2009 vuntz@novell.com
- Update to version 2.26.0:
  + Make build work with -Wl,-z,defs (bgo#574452)
  + Updated translations.
- Remove -fno-strict-aliasing from CFLAGS.
- Remove AutoReqProv: it's default now.
- Remove BuildRequires on gnome-control-center and own directories
  instead, to avoid a build loop.
* Tue Mar 10 2009 vuntz@novell.com
- Drop gnome-settings-daemon-bnc369263-broken-xkb-layout.patch: we
  now have a recent enough X server. Fix bnc#483651.
* Fri Mar 06 2009 vuntz@novell.com
- Update to version 2.25.92:
  + don't print warnings for disabled custom shortcuts
  + revert screen resolution change if the user closes the
  confirmation window using the close icon or by pressing escape
  (bgo#571492)
  + add missing keys for a11y shortcut keys to GConf schemas
  (bgo#572807)
  + install gnome-settings-daemon-plugin.h for custom plugin
  developement (bgo#573610)
  + Updated translations.
- Drop gnome-settings-daemon-bnc473980-unknown-media-key.patch:
  fixed upstream.
* Thu Feb 19 2009 vuntz@novell.com
- Add gnome-settings-daemon-bnc462640-mute-button-always-mute.patch
  to make it possible to always mute sound instead of toggling mute
  status. Part of bnc#462640. The other part is in gconf2-branding,
  to set the gconf key to actually do that.
  Patch by Holger Macht.
* Wed Feb 11 2009 vuntz@novell.com
- Add gnome-settings-daemon-bnc473980-unknown-media-key.patch to
  fix crasher in media keys with unknown keys. Fix bnc#473980.
* Thu Feb 05 2009 vuntz@novell.com
- Add libnotify-devel and libpulse-devel BuildRequires to get all
  the features.
- Remove gstreamer-0_10-plugins-base-devel BuildRequires: it's not
  needed anymore (replaced by use of libpulse).
* Thu Feb 05 2009 mboman@suse.de
- Update to version 2.25.90:
  + Initialize thread system (bgo#565515)
  + Better support for Eject and Sleep actions on BSD (bgo#565472)
  + Spawn screensaver after a 30 second timeout instead of when
  idle so that it  doesn't compete with other processes when the
  session starts (bgo#564059)
  + Add low diskspace notification (bgo#557647)
  + Support hotkeys for a11y tools (bgo#565310)
  + Quiet xrdb when there are duplicate rules in the .ad files
  (bgo#566610)
  + Add debugging output when de/registering media players
  (bgo#564433)
  + Add a new sound plugin that tells PulseAudio to drop its
  sample cache when the sound theme changes (bgo#545386)
  + Don't pop up an error message when there's no randr
  configuration file
  + Ungrab keys when key-related plugins are disabled (bgo#567867)
  + Use PulseAudio directly to change the volume (bgo#567177)
  + Don't draw_background immediately when nautilus is disabled,
  GnomeBG will send a signal
  + Add crossfade transition when switching backgrounds
  (bgo#552857)
  + Use XF86Explorer to launch the file manager
  + Fix possible crash when pressing Fn-F7  (bgo#568713)
  + Delay drawing the background until SessionRunning
  + Ask for confirmation with a timeout after changing the randr
  configuration (bgo#545115)
  + Plug leaks
  + Build fixes
  + Translation updates
- Remove gnome-settings-daemon-low-disk-space.patch. Fixed upstream
* Fri Jan 23 2009 vuntz@novell.com
- Re-enable gnome-settings-daemon-apport-monitor.patch, after
  fixing some #include in the patch.
* Thu Jan 15 2009 federico@novell.com
- Updated gnome-settings-daemon-randr-gerror.diff to fix bnc#465968 -
  The RANDR plugin was displaying a confusing error message during
  GDM's startup.
* Sat Jan 10 2009 mboman@suse.de
- Remove gnome-settings-daemon-randr-gerror.diff. Fixed upstream
* Fri Jan 09 2009 federico@novell.com
- Added gnome-settings-daemon-randr-gerror.diff.  This makes the RANDR
  plugin for gnome-settings-daemon process GError arguments from the
  GnomeRR API, so that it can give good error reporting.
- Removed gnome-settings-daemon-randr-fnf7.diff as it is already contained
  within the patch above.
* Fri Jan 02 2009 mboman@suse.de
- Update to version 2.25.3:
  + Bugs fixed: bgo#562977, bgo#563543, bgo#563796, bgo#559346, bgo#559482,
  bgo#559564, bgo#559550, bgo#559562, bgo#559558, bgo#559639, bgo#559827,
  bgo#559695, bgo#553434, bgo#560618, bgo#559797, bgo#522673, bgo#561275,
  bgo#554951, bgo#555009, bgo#555873, bgo#555553, bgo#556307, bgo#556797,
  bgo#552383, bgo#557307, bgo#557806, bgo#557808, bgo#549267, bgo#558503,
  bgo#557807, bgo#559162, bgo#559163, bgo#559164, bgo#559165, bgo#559166,
  bgo#559167, bgo#559168
  + Add support for fn-f7 type keys (Søren Sandmann)
  + Use D-Bus instead of an X client mesage in the xrandr plugin, so
  the front-end can get error messages as well
  + Shut the daemon down properly when the SIGTERM signal is received or the
  D-Bus bus goes away
  + Restore AccessX bits to original values on exit, fixes sticky keys
  coming on when gnome-settings-daemon has exited
  + Add some performance annotations around libxklavier calls
  + Reshufle plugin priorities a bit
  + Listen for DeviceEnabled instead of DeviceAdded to be sure the mouse has
  + Add debugging output for volume_step
  + Fix --no-daemon
  + Depend on libxklavier 3.8
  + Fix checks for various X libraries
  + Fix check for xklavier device discovery
  + Ignore the 'activate' signal for deselected items so that the rotation
  + Spawn screensaver process in idle callback
  + Don't close stderr to not lose warnings
  + Use a pipe to communicate between children and parent process instead
  of a signal
  + Translation updates
- Remove gnome-settings-daemon-randr-fnf7.diff. Fixed upstream
* Tue Dec 09 2008 federico@novell.com
- Updated gnome-settings-daemon-system-proxy-configuration.diff to fix
  https://bugzilla.novell.com/show_bug.cgi?id=456131 - the system's
  proxy configuration was not being set in GNOME's proxy
  configuration.
* Mon Oct 27 2008 jblunck@suse.de
- Add gnome-settings-daemon-apport-monitor.patch, to launching apport-gtk in
  case a new crash report is available (bnc#439203)
* Thu Oct 23 2008 vuntz@novell.com
- Add gnome-settings-daemon-low-disk-space.patch, to help drop
  gnome-volume-manager.
* Sat Oct 04 2008 mboman@suse.de
- Update to version 2.24.0:
  - Fix the fix for read-only home directories (bgo#530975)
  - Make the volume popup not crash when invoking it on any screen but
  the first when using a compositing manager (bgo#551677)
  - Add GPLv2 copyright notice explicitly so that newer versions of
  autotools don't declare us GPLv3 (bgo#551956)
  - Specify GTK modules to load in a GConf directory instead of the
  single /desktop/gnome/gtk-modules key (bgo#539840)
  - Also allow linking the module state to other boolean keys by using
  a string value that is the name of the key to use
  - Made the housekeeping plugin less aggressive by default (bgo#552680)
  - Updated translations
* Fri Sep 26 2008 vuntz@novell.com
- Add gnome-settings-daemon-bnc427745-force-dpi.patch to force the
  DPI to 96. This fixes huge fonts on login on recent laptops.
  Fixes bnc#427745.
* Thu Sep 18 2008 rodrigo@novell.com
- Update to 2.23.92:
  + Try harder to use the keyboard layout passed by GDM (bgo#551062)
  + Updated translations
* Thu Sep 11 2008 federico@novell.com
- Added gnome-settings-daemon-randr-fnf7.diff to support switching
  between display output modes on laptop by using the Fn-F7 hotkey
  (i.e. XF86Display).
* Tue Sep 09 2008 federico@novell.com
- Made gnome-settings-daemon obsolete resapplet, since g-s-d now provides
  the tray icon to set display settings.
* Mon Sep 01 2008 rodrigo@suse.de
- Update to version 2.23.91:
  - Removed translatable property on stock gtk-close (Claude Paroz)
  - Fix a constness warning (Jens Granseuer)
  - Fix a crash due to an incorrect signal handler definition (William Jon
  McCann)
  - Use a scale factor instead of a fixed DPI (William Jon McCann)
  - Use g_warning instead of g_error when setup fails so we don't abort
  (Jens Granseuer) (bgo#549483)
  - Updated translations
* Mon Sep 01 2008 rodrigo@suse.de
- Actually remove upstreamed patch from package.
* Tue Aug 26 2008 rodrigo@suse.de
- Update to version 2.23.90:
  - PulseAudio check to not ouput "no" twice (Jens Granseuer)
  - Add status icon when a11y hotkeys are enabled, and display Universal
  Access preferences when it is clicked (William Jon McCann) (bgo#526070)
  - Simplify libnotify check, fix fontconfig result output (Jens Granseuer)
  - Put the Glade file where all the others are (jens Granseuer)
  - Remove some unnecessary boilerplate (Jens Granseuer)
  - Use g_file_monitor instead of g_file_monitor_file/_directory (Jens
  Granseuer) (bgo#546372)
  - Remove warning that isn't (Jens Granseuer)
  - Fixed crash in randr startup (Jens Granseuer)
  - Fail xrandr initialization if we couldn't start xrandr (Matthias Clasen)
  (bgo#546446)
  - Try harder to clean up xrandr in _stop  so we can enable/disable the plugin
  on the fly (Jens Granseuer)
  - For LIBSOUNDS, check for libgnomeui, not just libgnome (Federico Mena Quintero)
  - Add sexy labels when setting up dual monitors (Federico Mena Quintero)
  - Add a separator to the menu before "Configure display settings" (Federico Mena
  Quintero)
  - Use GDK to get DPI (William Jon McCann)
  - Updated translations
- Remove upstreamed patch
* Mon Aug 18 2008 cthiel@suse.de
- fix build
* Fri Aug 15 2008 federico@novell.com
- Updated to gnome-settings-daemon-2.23.6.
  + Bugs fixed: bgo#544347, bgo#544737, bgo#544733, bgo#165343, bgo#539786,
  bgo#543289, bgo#543095, bgo#542275, bgo#538699, bgo#533198
- Added gnome-settings-daemon-monitor-labeling.diff to implement
  labeling of monitors in the tray icon, and monitor rotation support
  as well.
* Fri Jun 20 2008 maw@suse.de
- Update to version 2.23.4:
  + Bugs fixed: bgo#523743, bgo#523159, bgo#507386, bgo#525042,
  bgo#524425, bgo#525426, bgo#530356, bgo#531487, bgo#531589,
  bgo#530975, bgo#531861, bgo#531862, bgo#522017, bgo#531665,
  bgo#536177, bgo#490374, bgo#536581, and bgo#531868
  + Updated translations
- Drop obsolete patches: gnome-settings-daemon-randr-1.2.diff
* Thu May 29 2008 federico@novell.com
- Updated gnome-settings-daemon-randr-1.2.diff with the latest fixes from upstream.
* Mon May 26 2008 vuntz@suse.de
- Add gnome-settings-daemon-bnc369263-broken-xkb-layout.patch to
  unbreak corrupted keymaps on automatic login. This is only a
  workaround for openSUSE 11.0, unfortunately, since nobody found
  the right fix yet. Fix bnc#369263.
* Tue May 06 2008 rodrigo@suse.de
- Updated gnome-settings-daemon-system-proxy-configuration.patch
  to add a missing return in non-void function
* Wed Apr 30 2008 rodrigo@suse.de
- Updated gnome-settings-daemon-system-proxy-configuration.patch
  to make it apply again
* Fri Apr 25 2008 federico@novell.com
- Added gnome-settings-daemon-randr-1.2.diff to integrate the new
  functionality to configure RandR 1.2.
* Fri Apr 11 2008 maw@suse.de
- Update to version 2.22.1:
  + Fix segfault when shutting down the typing break monitor (Jens Granseuer)
  (bgo#521786)
  + Set window type hint on the volume popup (bgo#522232)
  + Remove unused properties from actions GUI
  + Reset opacity when removing the timeout (bgo#522499)
  + Fix handling of child process
  + Add a tool to test media keys
  + Add some profiling code
  + Fix compiler warnings
  + Fix leaks (bgo#524183)
  + Add more stuff to the configuration summary
  + Don't eat key events (bgo#523676)
  + Apply keyboard settings on startup (bgo#525440)
  + Make "Home" keybinding work again
  + Updated translations.
* Fri Mar 14 2008 maw@suse.de
- Update to version 2.22.0:
  + Actually link against libXi when building with XInput support
  (bgo#519488)
  + Disable debug by default
  + Don't pass GErrorss if we're not going to use them
  + Remove obsolete settings for the removed default editor plugin
  + Updated translations.
* Thu Mar 13 2008 sbrabec@suse.cz
- Custom look'n'feel gconf keys moved to gconf2-branding-openSUSE.
* Wed Feb 20 2008 maw@suse.de
- Update to version 2.21.91:
  + Use a flat directory instead of a hierarchy to install plugins
  into (bgo#513246)
  + Don't scan the plugins directory recursively (#513246)
  + Install the settings plugin to a versioned directory to fix install
  with libdir == libexecdir (bgo#504203)
  + Review short and long descriptions for GConf keys (bgo#514047)
  + Don't crash when running the screensaver fails (bgo#514385)
  + Rename src folder to gnome-settings-daemon (bgo#511820)
  + Add uninstalled.pc file for building against an uninstalled copy of
  g-s-d (bgo#511820)
  + Add separate checks for libbackground and use external copy
  + Use gnome_settings_daemon for the GConf path (bgo#514411)
  + Release the Glade XML ASAP and keep track of the 2 widgets we need
  + Make sure we return a GError if initialization fails (bgo#514926)
  + Load the XKB settings initially (bgo#511771)
  + Fix leaks
  + Unref the GConfClient only after done with it
  + Check for xinput (bgo#514942)
  + Fix copy'n'paste error (bgo#515426)
  + Declare variables at the beginning of a block to make older compilers
  happy
  + Add back support for defining plugin start order
  + Assign return value from g_slist_sort to the plugins list variable
  (bgo#515340)
  + Replace gnome_vfs usage with GIO (bgo#513990).
* Fri Feb 01 2008 rodrigo@suse.de
- Update to version 2.21.90.2:
  * Use correct binary path in DBus service file
  * Updated translations
* Fri Jan 25 2008 rodrigo@suse.de
- Added missing unpackaged files
- Depend on gstreamer-0_10-plugins-base-devel for the sound module
* Wed Jan 16 2008 rodrigo@suse.de
- Disabled patches that need rebase.
- No need for gnome-patch-translation
- Updated BuildRequires
* Wed Jan 16 2008 rodrigo@suse.de
- First version of new gnome-settings-daemon package.
